Summary: iBCS module
Name: iBCS
Version: 2.0
Release: 2
ExclusiveArch: i386
ExclusiveOS: Linux
Copyright: GPL
Group: Base/Kernel
Source0: tsx-11.mit.edu:/pub/linux/BETA/ibcs2/ibcs-2.0-960610.tar.gz
Source1: ibcs.init
Patch: ibcs-config.patch
BuildRoot: /tmp/ibcs-root
%description
This package allows you to run programs in the iBCS (Intel Binary
Compatibility Standard) format.

%prep
%setup -n ibcs
%patch -p2

%build
(cd iBCSemul ; make all )

%install
rm -rf $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/lib/modules/default/misc
install -m644 iBCSemul/iBCS $RPM_BUILD_ROOT/lib/modules/default/misc/iBCS

mkdir -p $RPM_BUILD_ROOT/dev/inet
install -m755 MAKEDEV.ibcs $RPM_BUILD_ROOT/dev/MAKEDEV.ibcs
mknod $RPM_BUILD_ROOT/dev/socksys c 30 0
ln -s socksys $RPM_BUILD_ROOT/dev/nfsd
ln -s null $RPM_BUILD_ROOT/dev/X0R
mknod $RPM_BUILD_ROOT/dev/spx c 30 1
mknod $RPM_BUILD_ROOT/dev/inet/ip c 30 32
mknod $RPM_BUILD_ROOT/dev/inet/icmp c 30 33
mknod $RPM_BUILD_ROOT/dev/inet/ggp c 30 34
mknod $RPM_BUILD_ROOT/dev/inet/ipip c 30 35
mknod $RPM_BUILD_ROOT/dev/inet/tcp c 30 36
mknod $RPM_BUILD_ROOT/dev/inet/egp c 30 37
mknod $RPM_BUILD_ROOT/dev/inet/pup c 30 38
mknod $RPM_BUILD_ROOT/dev/inet/udp c 30 39
mknod $RPM_BUILD_ROOT/dev/inet/idp c 30 40
mknod $RPM_BUILD_ROOT/dev/inet/rawip c 30 41
ln -s udp $RPM_BUILD_ROOT/dev/inet/arp
ln -s udp $RPM_BUILD_ROOT/dev/inet/rip
cd $RPM_BUILD_ROOT/dev/inet
for i in *; do
  ln -s inet/$i ../$i
done

%post
if [ -x /sbin/depmod ]; then
	/sbin/depmod -a
fi

%postun
if [ -x /sbin/depmod ]; then
	/sbin/depmod -a
fi

%files
%doc README RELEASE CREDITS Doc

/lib/modules/default/misc/iBCS
/dev/MAKEDEV.ibcs
/dev/inet
/dev/socksys
/dev/nfsd
/dev/X0R
/dev/spx
/dev/arp
/dev/egp
/dev/ggp
/dev/icmp
/dev/idp
/dev/ip
/dev/ipip
/dev/pup
/dev/rawip
/dev/rip
/dev/tcp
/dev/udp
